
package de.ivu.elect.presentation.wahl.exchange;

import de.ivu.elect.business.exchange.entity.DateiExportArt;
import de.ivu.elect.business.wahl.boundary.AbstractNlExportArtefaktNachSystemExportstatusBulkExporter;
import de.ivu.elect.presentation.exchange.ExportDescription;
import de.ivu.elect.presentation.wahl.menu.NlExportArtefaktNachSystemExportstatusPageMenu;

public abstract class AbstractNlExportArtefaktNachSystemExportstatusBulkExportDescription implements ExportDescription {

  private static final long serialVersionUID = 1L;

  protected AbstractNlExportArtefaktNachSystemExportstatusBulkExportDescription() {
    super();
  }

  @Override
  public boolean isSpecificPerWahl() {
    return true;
  }

  @Override
  public boolean isSpecificPerWahltermin() {
    return false;
  }

  public boolean isDateiExportNachSchrittImWahlprozess() {
    return false;
  }

  @Override
  public DateiExportArt getDateiExportArt() {
    return AbstractNlExportArtefaktNachSystemExportstatusBulkExporter.DATEI_EXPORT_ART;
  }

  public abstract String getDateiExportName();

  @Override
  public String getPageMenuComponentName() {
    return NlExportArtefaktNachSystemExportstatusPageMenu.COMPONENT_NAME;
  }
}
